@import "variables";
@import "mixins";

@mixin resize($el:'') {
    position: absolute;
    background: $primary-color;
    z-index: 1;
    opacity: 0;
    transition: opacity 0.2s ease;

    .resizer-line {
        position: absolute;
        background: $primary-color;
        pointer-events: none;
        opacity: 0;
        transition: opacity 0.2s ease;
    }

    &:hover, &:active {
        opacity: 1;
    }

    &:active {
        .resizer-line {
            opacity: 1;
        }
    }
}

.excel__table {
    overflow: auto;

    .row {
        display: flex;
        min-height: 20px;
        height: $row-height;

        &:last-child {
            padding-bottom: 2px;
        }

        .row-info {
            display: flex;
            justify-content: center;
            align-items: center;
            min-width: $info-cell-width;
            height: 100%;
            background: #f8f9fa;
            border: 1px solid $border-color;
            border-top: 0;
            position: relative;

            .resizer {
                @include resize('row');
                left: 0;
                bottom: -3px;
                width: 100%;
                height: 5px;
                cursor: row-resize;

                .resizer-line {
                    width: 1000%;
                    bottom: 2px;
                    height: 1px;
                }
            }
        }

        .row-data {
            display: flex;

            .column {
                display: flex;
                justify-content: center;
                align-items: center;
                position: relative;
                min-width: $info-cell-width;
                width: $cell-width;
                height: 100%;
                background: #f8f9fa;
                border-bottom: 1px solid $border-color;
                border-right: 1px solid $border-color;
                text-transform: uppercase;

                .resizer {
                    @include resize('col');
                    top: 0;
                    height: 100%;
                    width: 5px;
                    right: -3px;
                    cursor: col-resize;

                    .resizer-line {
                        height: 1000%;
                        right: 2px;
                        width: 1px;
                    }
                }
            }

            .cell {
                position: relative;
                $border-color: #e2e3e3;
                min-width: $info-cell-width;
                width: $cell-width;
                padding: 5px;
                height: 100%;
                border-bottom: 1px solid $border-color;
                border-right: 1px solid $border-color;
                white-space: nowrap;
                color: #111111;
                outline: none;

                &.selected {
                    // wtf with shadow
                    box-shadow: 0 0 2px 1px $primary-color;
                    z-index: 2;
                }
            }
        }
    }
}

